Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 739972 - www-apps/kibana-bin-7.9.0 does not respect CFLAGS/LDFLAGS
Summary: www-apps/kibana-bin-7.9.0 does not respect CFLAGS/LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Tomáš Mózes
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qa-cflags ldflags
  Show dependency tree
 
Reported: 2020-09-02 06:01 UTC by Agostino Sarubbo
Modified: 2020-10-16 13:26 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,6.32 KB, text/plain)
2020-09-02 06:01 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-09-02 06:01:19 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: www-apps/kibana-bin-7.9.0 does not respect CFLAGS/LDFLAGS.
Discovered on: amd64 (internal ref: ci)

NOTE:
To reproduce this issue you may want to add "-frecord-gcc-switches" to CFLAGS/CXXFLAGS/FFLAGS/FCFLAGS and LDFLAGS="${LDFLAGS} -Wl,--defsym=__gentoo_check_ldflags__=0". If this is not something about c/c++ see this bug as an hint to hide the QA warning (with QA_FLAGS_IGNORED) where is not possible to respect CFLAGS/LDFLAGS.
Comment 1 Agostino Sarubbo gentoo-dev 2020-09-02 06:01:21 UTC
Created attachment 657792 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-10-16 13:26:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=127c92ca228f506e369fca94397aa1ea142777f4

commit 127c92ca228f506e369fca94397aa1ea142777f4
Author:     Tomáš Mózes <hydrapolic@gmail.com>
AuthorDate: 2020-10-09 08:59:13 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-10-16 13:26:18 +0000

    www-apps/kibana-bin: bump to 7.9.2
    
    Closes: https://bugs.gentoo.org/739972
    Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/17857
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 www-apps/kibana-bin/Manifest                |  2 +
 www-apps/kibana-bin/kibana-bin-7.9.2.ebuild | 95 +++++++++++++++++++++++++++++
 2 files changed, 97 insertions(+)